﻿using System;
using ff14bot.Enums;

namespace DestinyPlugin
{
    public static class Extensions
    {
        public static bool IsDisciplesOfWar(this ClassJobType job)
        {
            switch (job)
            {
                case ClassJobType.Gladiator:
                case ClassJobType.Pugilist:
                case ClassJobType.Marauder:
                case ClassJobType.Lancer:
                case ClassJobType.Archer:
                case ClassJobType.Paladin:
                case ClassJobType.Monk:
                case ClassJobType.Warrior:
                case ClassJobType.Dragoon:
                case ClassJobType.Bard:
                case ClassJobType.Rogue:
                case ClassJobType.Ninja:
                    return true;
                default:
                    return false;
            }
        }

        public static bool IsDisciplesOfMagic(this ClassJobType job)
        {
            switch (job)
            {
                case ClassJobType.Conjurer:
                case ClassJobType.WhiteMage:
                case ClassJobType.Thaumaturge:
                case ClassJobType.BlackMage:
                case ClassJobType.Arcanist:
                case ClassJobType.Summoner:
                case ClassJobType.Scholar:
                    return true;
                default:
                    return false;
            }
        }

        public static ClassJobType BaseClass(this ClassJobType job)
        {
            switch (job)
            {
                case ClassJobType.Paladin:
                case ClassJobType.Gladiator:
                    return ClassJobType.Gladiator;
                case ClassJobType.Monk:
                case ClassJobType.Pugilist:
                    return ClassJobType.Pugilist;
                case ClassJobType.Warrior:
                case ClassJobType.Marauder:
                    return ClassJobType.Marauder;
                case ClassJobType.Dragoon:
                case ClassJobType.Lancer:
                    return ClassJobType.Lancer;
                case ClassJobType.Bard:
                case ClassJobType.Archer:
                    return ClassJobType.Archer;
                case ClassJobType.WhiteMage:
                case ClassJobType.Conjurer:
                    return ClassJobType.Conjurer;
                case ClassJobType.BlackMage:
                case ClassJobType.Thaumaturge:
                    return ClassJobType.Thaumaturge;
                case ClassJobType.Carpenter:
                    return ClassJobType.Carpenter;
                case ClassJobType.Blacksmith:
                    return ClassJobType.Blacksmith;
                case ClassJobType.Armorer:
                    return ClassJobType.Armorer;
                case ClassJobType.Goldsmith:
                    return ClassJobType.Goldsmith;
                case ClassJobType.Leatherworker:
                    return ClassJobType.Leatherworker;
                case ClassJobType.Weaver:
                    return ClassJobType.Weaver;
                case ClassJobType.Alchemist:
                    return ClassJobType.Alchemist;
                case ClassJobType.Culinarian:
                    return ClassJobType.Culinarian;
                case ClassJobType.Miner:
                    return ClassJobType.Miner;
                case ClassJobType.Botanist:
                    return ClassJobType.Botanist;
                case ClassJobType.Fisher:
                    return ClassJobType.Fisher;
                case ClassJobType.Arcanist:
                case ClassJobType.Summoner:
                case ClassJobType.Scholar:
                    return ClassJobType.Arcanist;
                case ClassJobType.Rogue:
                case ClassJobType.Ninja:
                    return ClassJobType.Rogue;
                default:
                    //throw new ArgumentOutOfRangeException("job");
                    return job;
            }
        }
    }
}